#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: cipher-aes
version: 0.2.11
id: cipher-aes-0.2.11-4c082dc6e04c01b01204f73bc655b8eb
key: ciphe_B1hicmKApVV3M3W3qABNaW
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-cipher-aes
synopsis: Fast AES cipher implementation with advanced mode of operations
description:
    Fast AES cipher implementation with advanced mode of operations.
    .
    The modes of operations available are ECB (Electronic code book),
    CBC (Cipher block chaining), CTR (Counter), XTS (XEX with ciphertext stealing),
    GCM (Galois Counter Mode).
    .
    The AES implementation uses AES-NI when available (on x86 and x86-64 architecture),
    but fallback gracefully to a software C implementation.
    .
    The software implementation uses S-Boxes, which might suffer for cache timing issues.
    However do notes that most other known software implementations, including very popular
    one (openssl, gnutls) also uses similar implementation. If it matters for your
    case, you should make sure you have AES-NI available, or you'\''ll need to use a different
    implementation.
    .
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules:
    Crypto.Cipher.AES
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/cipher-aes-0.2.11
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/cipher-aes-0.2.11
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/cipher-aes-0.2.11
hs-libraries: HScipher-aes-0.2.11-B1hicmKApVV3M3W3qABNaW
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-b8b97b99f1626bb4a12880f48ca36184
    byteable-0.1.1-a7278182e3643648d81716d02a7463ff
    bytestring-0.10.6.0-3316235c3eca5b6c3be96ecdc7d31040
    crypto-cipher-types-0.0.9-3960df8fc3ab2acda1a0c79aa3e056d8
    securemem-0.1.9-c2419137e49c640a6de7585276632f75
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/cipher-aes-0.2.11/html/cipher-aes.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/cipher-aes-0.2.11/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
